package com.goldencode.test;

import static org.junit.jupiter.api.Assertions.assertTrue;

import org.junit.jupiter.api.*;

/**
 *
 */
public class ExampleTest
{
   /**
    * 
    */
   @BeforeAll
   public static void beforeAll()
   {
      // Do some stuff once before this class is loaded
      System.err.println("BefoireAll executed");
   }

   /**
    * 
    */
   @BeforeEach
   public void beforeEach()
   {
      // Do some stuff once before this class is executed
      System.err.println("BefoireEach executed " + this);
   }

   /**
    * 
    */
   @Test
   public void theTest1()
   {
      // Do some testing
      System.err.println("TheTest1 executed " + this);
   }

   /**
    * A test which fails
    */
   @Test
   public void theTest2()
   {
      // Do some testing
      System.err.println("TheTest2 executed " + this);
      assertTrue(false);
   }

   /**
    * 
    */
   @AfterEach
   public void afterEach1()
   {
      // Do some stuff once after this class is executed
      System.err.println("AfterEach1 executed " + this);
   }

   /**
    * 
    */
   @AfterEach
   public void afterEach2()
   {
      // Do some more stuff once after this class is executed
      System.err.println("AfterEach2 executed " + this);
   }

   /**
    * 
    */
   @AfterAll
   public static void afterAll1()
   {
      // Do some stuff once before this class is loaded
      System.err.println("AfterAll1 executed");
   }

   /**
    * 
    */
   @AfterAll
   public static void afterAll2()
   {
      // Do some stuff once before this class is loaded
      System.err.println("AfterAll2 executed");
   }

}
